Subject: Re: [PATCH v5 6/6] 6lowpan: Fix IID format for Bluetooth

From: Jukka Rissanen <[email-masked]>
Date: Tue, 28 Feb 2017 11:13:28 +0200

Hi Luiz,

On Fri, 2017-02-24 at 14:14 +0200, Luiz Augusto von Dentz wrote:
> From: Luiz Augusto von Dentz <[email-masked]>
> 
> Accourding to RFC 7668 U/L bit shall not be used:
> 
> https://wiki.tools.ietf.org/html/rfc7668#section-3.2.2 [Page 10]:
> 
>    In the figure, letter 'b' represents a bit from the
>    Bluetooth device address, copied as is without any changes on any
>    bit.  This means that no bit in the IID indicates whether the
>    underlying Bluetooth device address is public or random.
> 
>    |0              1|1              3|3              4|4             
>  6|
>    |0              5|6              1|2              7|8             
>  3|
>    +----------------+----------------+----------------+------------
> ----+
>    |bbbbbbbbbbbbbbbb|bbbbbbbb11111111|11111110bbbbbbbb|bbbbbbbbbbbbbb
> bb|
>    +----------------+----------------+----------------+------------
> ----+
> 
> Because of this the code cannot figure out the address type from the
> IP
> address anymore thus it makes no sense to use peer_lookup_ba as it
> needs
> the peer address type.
> 
> Signed-off-by: Luiz Augusto von Dentz <[email-masked]>
> ---
>  include/net/6lowpan.h   |  4 ---
> 

Looks good.

Acked-by: Jukka Rissanen <[email-masked]>

Cheers,
Jukka